Bug 1572766 (CVE-2018-10126) - CVE-2018-10126 libtiff: NULL pointer dereference in the jpeg_fdct_16x16 function in jfdctint.c
Summary: CVE-2018-10126 libtiff: NULL pointer dereference in the jpeg_fdct_16x16 funct...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-10126
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1572767 1572768 1572769 1910609
Blocks: 1565172
TreeView+ depends on / blocked
 
Reported: 2018-04-27 19:16 UTC by Laura Pardo
Modified: 2021-02-17 00:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-08 18:03:11 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-27 19:16:22 UTC
A flaw was found in libtiff, a NULL pointer dereference in the jpeg_fdct_16x16 function in jfdctint.c file. An attacker could exploit this to cause a denial of service via crafted TIFF file


References:
http://bugzilla.maptools.org/show_bug.cgi?id=2786

Comment 1 Laura Pardo 2018-04-27 19:16:54 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1572768]


Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1572767]
Affects: epel-7 [bug 1572769]

Comment 6 Scott Gayou 2018-05-14 15:43:00 UTC
Statement:

This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 5, 6, and 7.


Note You need to log in before you can comment on or make changes to this bug.